<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".MainActivity">

        <TextView
            android:id="@+id/tv_connect"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="连接蓝牙"
            android:textSize="18sp"
            android:padding="10dp"
            android:background="#f5f5f5"
            android:textColor="#000000" />
        <TextView
            android:id="@+id/btn_get_device_no"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取设备编号"
            android:textSize="18sp"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            android:background="#f5f5f5"
            android:textColor="#000000" />
        <TextView
            android:id="@+id/tv_device_no"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="13sp"
            android:textColor="#000000"/>
        <TextView
            android:id="@+id/btn_get_temperature"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取温度"
            android:textSize="18sp"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            android:background="#f5f5f5"
            android:textColor="#000000" />
        <TextView
            android:id="@+id/tv_temperature"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="13sp"
            android:textColor="#000000"/>
        <TextView
            android:id="@+id/btn_get_elec"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取电量"
            android:textSize="18sp"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            android:background="#f5f5f5"
            android:textColor="#000000" />
        <TextView
            android:id="@+id/tv_elec"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="13sp"
            android:textColor="#000000"/>
        <TextView
            android:id="@+id/btn_get_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取硬件版本"
            android:textSize="18sp"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            android:background="#f5f5f5"
            android:textColor="#000000" />
        <TextView
            android:id="@+id/tv_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="13sp"
            android:textColor="#000000"/>
        <TextView
            android:id="@+id/btn_scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="扫描检测"
            android:textSize="18sp"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            android:background="#f5f5f5"
            android:textColor="#000000" />
        <TextView
            android:id="@+id/tv_scan_result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="13sp"
            android:textColor="#000000"/>
        <TextView
            android:id="@+id/tv_scan_referenc_result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:textSize="13sp"
            android:textColor="#000000"/>
        <TextView
            android:id="@+id/btn_scan_one_by_one"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="扫描检测(一个一个依次获取)"
            android:textSize="18sp"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            android:background="#f5f5f5"
            android:textColor="#000000" />
        <TextView
            android:id="@+id/tv_scan_one_by_one_result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:textSize="13sp"
            android:textColor="#000000"/>
    </LinearLayout>

</ScrollView>
